/*
 * ar3cmonitor - settime.h
 *
 * 	Set datalogger time
 * 
 * Copyright (C) 2006, 2007, 2008  Krzysztof Mazur <krzysiek@podlesie.net>
 * Copyright (C) 2008  Krzysztof Kasperski <casper@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef CLOCKLABEL_H_INCLUDED
#define CLOCKLABEL_H_INCLUDED

#include "consts.h"

#include <qwidget.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qfont.h>

#include "control.h"

class TClockLabel : public QWidget {
	Q_OBJECT

private:
	QLabel *lb;
	QVBoxLayout *l;
	char *format;

public slots:
	void update_time();
public:

	TClockLabel(const char *frm, QWidget *parent = 0, const char *name = 0, Qt::WFlags f = 0);
	~TClockLabel();
};

#endif
