/*
 * ar3cmonitor - compiler.h
 *
 * Copyright (C) 2013  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef COMPILER_H_INCLUDED
#define COMPILER_H_INCLUDED

static inline void prefetch(const void *x)
{
#if ((__GNUC__ > 3) || (__GNUC_MINOR__ >= 3))
	__builtin_prefetch(x);
#endif
}

#endif
