/*
 * monalloc - monalloc.h
 *
 * 	AR-3c monitor memory allocator wrapper
 * 
 * Copyright (C) 2006, 2007  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef MONALLOC_H_INCLUDED
#define MONALLOC_H_INCLUDED

#include "ar3cmonitor.h"

class monalloc {
public:
	void *operator new(size_t size)
	{
		return mon_alloc(size);
	}
	
	void operator delete(void *p)
	{
		mon_free(p);
	}
};

#endif
