/*
 * AR-3c Monitor
 *
 * 	version 2.3
 * 
 * Copyright (C) 2006, 2007  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * See COPYING for license information
 *
 */

#include <qwidget.h>
#include <qstring.h>
#include <qcolor.h>
#include <qlayout.h>

#include "bufferedwidget.h"

class ObjectWidget : public QWidget {
	Q_OBJECT

private:
	int w, h;
	int infofd;
	
protected:
	void paintEvent(QPaintEvent *);

public:
	ObjectWidget(const char *command, QWidget *parent = 0,
			const char *name = 0, Qt::WFlags f = 0);
	~ObjectWidget();
};
